<?php
namespace Geral\Repositories;

class Txtpropfas extends \Doctrine\ORM\EntityRepository
{
	public function textoPadraoPropostaComercial($campos){
        $sql = "SELECT CDTXTPROPROCOME, NRORDTXTPROCOME, TXPROPROCOME
                   FROM TXTPROPRODCOMER
                  WHERE CDPROCOMERCI    =  :P_CDPROCOMERCI
                    AND IDIDIOMA        =  :P_IDIDIOMA
                    AND IDTIPPROPROCOME =  :P_IDTIPPROPROCOME";

        $params = array(
            "P_CDPROCOMERCI"       => $campos['CDPROCOMERCI'],
            "P_IDIDIOMA"           => $campos['IDIDIOMA'],
            "P_IDTIPPROPROCOME"    => $campos['IDTIPOPROPFAS'],
        );

        $result = $this->_em->getConnection()->fetchAll($sql, $params);

        return count($result) > 0 ? $result : false;
    }

    public function insertTextoPadraoPropostaComercial($campos, $txt, $idTipo){
        $sql = "INSERT INTO TXTPROPFAS
                    (NRPROPOSFAS, NRVERPROPFAS, CDTXTPROPFAS, NRORDEMMSG, TXPROPFAS, 
                     IDTIPOTXTPROPFAS, NRORG, DTINCLUSAO)
                 VALUES 
                    (:P_NRPROPOSFAS, :P_NRVERPROPFAS, :P_CDTXTPROPFAS, :P_NRORDEMMSG, 
                     :P_TXPROPFAS, :P_IDTIPOTXTPROPFAS, :P_NRORG, :P_DTINCLUSAO)";

        $params = array(
            "P_NRPROPOSFAS"      => $campos['NRPROPOSFAS'],
            "P_NRVERPROPFAS"     => $campos['NRVERPROPFAS'],
            "P_CDTXTPROPFAS"     => $txt['CDTXTPROPFAS'],
            "P_NRORDEMMSG"       => $txt['NRORDEMMSG'],
            "P_TXPROPFAS"        => $txt['TXPROPFAS'],
            "P_IDTIPOTXTPROPFAS" => $idTipo,
            "P_NRORG"            => $campos['NRORG'],
            "P_DTINCLUSAO"       => $campos['DTINCLUSAO']
        );

        $result = $this->_em->getConnection()->executeQuery($sql, $params);

        return count($result) > 0 ? $result : false;
    }
    
    public static function consultaMensagemProp($nrProposta, $nrVersao)
    {
        $sql = "SELECT TX.NRPROPOSFAS , TX.NRVERPROPFAS, TX.CDTXTPROPFAS, TX.NRORDEMMSG,
                       TX.TXPROPFAS, TX.TXPROPFAS_CLOB
                  FROM TXTPROPFAS TX
                 WHERE TX.NRPROPOSFAS  = :P_NRPROPOSFAS
                   AND TX.NRVERPROPFAS = :P_NRVERPROPFAS
                   AND TX.IDTIPOTXTPROPFAS = 'EDICAO'";
        
        $params = array('P_NRPROPOSFAS'  => $nrProposta,
                        'P_NRVERPROPFAS' => $nrVersao);
        
        try{
            return \Setforms2\Shared\Connection::getInstance()->fetchAll($sql, $params);
        } catch(\Exception $e) {
            throw $e;
        }
    }
}